package catenaNegozi;

import java.sql.*;
import java.io.*;
import java.util.*;

class CreazioniInserimenti{

	public static void eseguiUnaUpdate(String query) throws PersistenceException{
		        Connection connection = null;
		        Statement statement = null;
		        try {
		            connection = DataSource.getConnection();
		            statement = connection.createStatement();
		            System.out.println("Eseguo :\n" + query);
		            statement.executeUpdate(query);
		        } catch (SQLException sqle) {
		            throw new PersistenceException(sqle);
		        } finally {
		            DataSource.close(statement);
		            DataSource.close(connection);
		        }

	}
    public static void creazioneTabelle() throws PersistenceException{
		String stringaCreate1 = "create table Produttori (" +
			" CodMarca Integer not null primary key, " +
			" Nome Text(20) ," +
			" Nazione Text(20) ) ";
//		this.eseguiUnaUpdate(stringaCreate1);
		String stringaCreate2 = "create table Negozi (" +
			" Codice Integer not null primary key, " +
			" Indirizzo Text(20) ," +
			" Citta Text(20) ) ";
//		this.eseguiUnaUpdate(stringaCreate2);
		String stringaCreate3 = "create table Articoli (" +
			" Matricola Integer not null primary key , " +
			" Descrizione Text(20) ," +
			" Prezzo Integer ," +
			" Produttore Integer References Produttori(CodMarca) ) ";
//		this.eseguiUnaUpdate(stringaCreate3);
		String stringaCreate4 = "create table Magazzino (" +
			" Articolo Integer not null References Articoli(Matricola) , " +
			" Negozio Integer not null References Negozi(Codice) ," +
			" Primary Key(Articolo,Negozio)," +
			" Quantita Integer ," +
			" Minimo Integer ) ";
//		eseguiUnaUpdate(stringaCreate4);
	}

    public static void inserimentoDati() throws PersistenceException{
		eseguiUnaUpdate("delete from magazzino");
		eseguiUnaUpdate("delete from negozi");
		eseguiUnaUpdate("delete from articoli");
		eseguiUnaUpdate("delete from produttori");
//		System.out.println("Ho cancellato");
		eseguiUnaUpdate("INSERT INTO Produttori (CodMarca,Nome,Nazione) VALUES (101,'XYZ Srl','Italia')");
		eseguiUnaUpdate("INSERT INTO Produttori (CodMarca,Nome,Nazione) VALUES (102,'ABC Srl','Italia')");
		eseguiUnaUpdate("INSERT INTO Produttori (CodMarca,Nome,Nazione) VALUES (103,'WWW Srl','USA')");
		eseguiUnaUpdate("INSERT INTO Produttori (CodMarca,Nome,Nazione) VALUES (104,'LeGrand','Francia')");
		eseguiUnaUpdate("INSERT INTO Produttori (CodMarca,Nome,Nazione) VALUES (105,'Parisienne','Francia')");

		eseguiUnaUpdate("INSERT INTO Articoli (Matricola,Descrizione,Produttore,Prezzo) VALUES (1001,'Chiodo',101,1)");
		eseguiUnaUpdate("INSERT INTO Articoli (Matricola,Descrizione,Produttore,Prezzo) VALUES (1002,'Vite',101,2)");
		eseguiUnaUpdate("INSERT INTO Articoli (Matricola,Descrizione,Produttore,Prezzo) VALUES (1003,'Dado',102,2)");
		eseguiUnaUpdate("INSERT INTO Articoli (Matricola,Descrizione,Produttore,Prezzo) VALUES (1004,'Trapano',102,1000)");
		eseguiUnaUpdate("INSERT INTO Articoli (Matricola,Descrizione,Produttore,Prezzo) VALUES (1005,'Martello',103,50)");
		eseguiUnaUpdate("INSERT INTO Articoli (Matricola,Descrizione,Produttore,Prezzo) VALUES (1006,'Martello',104,52)");
		eseguiUnaUpdate("INSERT INTO Articoli (Matricola,Descrizione,Produttore,Prezzo) VALUES (1007,'Chiave inglese',105,35)");

		eseguiUnaUpdate("INSERT INTO Negozi (Codice,Indirizzo,Citta) VALUES (2001,'Via Roma,14','Firenze')");
		eseguiUnaUpdate("INSERT INTO Negozi (Codice,Indirizzo,Citta) VALUES (2002,'Via Cavour, 12','Napoli')");
		eseguiUnaUpdate("INSERT INTO Negozi (Codice,Indirizzo,Citta) VALUES (2003,'Via Cesare,14','Firenze')");

		eseguiUnaUpdate("INSERT INTO Magazzino (Articolo,Negozio,Quantita,Minimo) VALUES (1001,2001,100,50)");
		eseguiUnaUpdate("INSERT INTO Magazzino (Articolo,Negozio,Quantita,Minimo) VALUES (1001,2002,120,100)");
		eseguiUnaUpdate("INSERT INTO Magazzino (Articolo,Negozio,Quantita,Minimo) VALUES (1002,2001,10,50)");
		eseguiUnaUpdate("INSERT INTO Magazzino (Articolo,Negozio,Quantita,Minimo) VALUES (1002,2002,100,50)");
		eseguiUnaUpdate("INSERT INTO Magazzino (Articolo,Negozio,Quantita,Minimo) VALUES (1003,2001,2,5)");
		eseguiUnaUpdate("INSERT INTO Magazzino (Articolo,Negozio,Quantita,Minimo) VALUES (1003,2002,10,5)");
		eseguiUnaUpdate("INSERT INTO Magazzino (Articolo,Negozio,Quantita,Minimo) VALUES (1003,2003,1,5)");
	}


    public static void main(String[] args)
//    	throws PersistenceException
    {
		try {
        	creazioneTabelle();
        	inserimentoDati();
		}

		catch (PersistenceException e){
			System.out.println(e);}
/*
*/   }

}